
Enduro/X Core - Bug #105

ORA-01591: lock held by in-doubt distributed transaction 1.8.49044

03/23/2017 03:00 PM - Pablo

Status: Closed Start date: 03/23/2017

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Getting this error in my server.

I've attached xa folder contents with information on transaction that has hanged.

History

#1 - 03/23/2017 03:47 PM - Madars

- Project changed from endurox-go to Enduro/X Core

#2 - 03/24/2017 07:03 AM - Madars

1490185291614:I:1:1:11:90:1

1490185291615:S:40

 

Transaction log file info:

first line:

0580     /* Read first time stamp */

0581     TOKEN_READ("info", "tstamp");

0582     p_tl->t_start = atol(p);

0583

0584     /* read tmrmid, tmnodeid, tmsrvid = ignore, but they must be in place! */

0585     TOKEN_READ("info", "cmdid");

0586     /* Basically we ignore these values, and read from current process!!!: */

0587     TOKEN_READ("info", "tmrmid");

0588     TOKEN_READ("info", "tmnodeid");

0589     TOKEN_READ("info", "tmsrvid");

0590     p_tl->tmrmid = G_atmi_env.xa_rmid;

0591     p_tl->tmnodeid = tpgetnodeid();

0592     p_tl->tmsrvid = G_server_conf.srv_id;

0593

0594     TOKEN_READ("info", "txtout");

0595     p_tl->txtout = atol(p);

0596

0597     /* Read involved resrouce managers - put them in join state */

0598     TOKEN_READ("info", "rmsbuf");

 

- So RMS buffer says which Resource managers are involved, and for current sample it is "1".

Second line:

1490185291615:S:40

 

- Says that transaction is preparing (stage 40)

So to fix this issue, TM will just to make transaction abort at prepare stage when tmsrv is reboot. Because there is no way caller will get back the

response and it is just preparing, thus abort...

04/27/2024 1/2



#3 - 03/24/2017 09:05 AM - Madars

Fixed in: http://www.endurox.org/projects/endurox/repository/revisions/3b6d0df7eff1caab35fa9f681239a1c01793e8fb/diff

Fix will be released in 3.5.2 version.

#4 - 03/24/2017 09:06 AM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

#5 - 03/24/2017 09:06 AM - Madars

- Status changed from Resolved to Closed

Files

xa.tar.gz 326 Bytes 03/23/2017 Pablo
